package org.jerrymouse.gaes.mavenPlugin.gui;

import javax.swing.ComboBoxModel;
import javax.swing.event.ListDataListener;

public class OptionModel implements ComboBoxModel {

	private String[] options = { "gaes:config -Dnormal", "gaes:config -Dgae",
			"gaes:config -Dhadoop", "gaes:run", "gaes:deploy" };

	@Override
	public Object getSelectedItem() {
		return null;
	}

	@Override
	public void setSelectedItem(Object anItem) {

	}

	@Override
	public void addListDataListener(ListDataListener l) {

	}

	@Override
	public Object getElementAt(int index) {
		return options[index];
	}

	@Override
	public int getSize() {
		return options.length;
	}

	@Override
	public void removeListDataListener(ListDataListener l) {

	}
	

}
